Subject: RE: RE: RE: IPP> Identifying jobs in requests

From: Paul Moore <[email-masked]>
Date: Fri, 5 Jun 1998 18:08:10 -0700

The two lines refering to printer-uri and job-uri that you included both say
that they (the URIs) are operation attributes. Yet you say that you propose
that they are no longer operation attributes BUT should still retain their
'special position'. If the only 'special position' is that they are
operation attributes then surely this is a contradictory statement.

I guess I'm missing someting here.

I want them out too - so I think I agree with you. I just want to be sure
about what I'm agreeing with.

> -----Original Message-----
> From:	Carl Kugler [SMTP:[email-masked]]
> Sent:	Friday, June 05, 1998 5:06 PM
> To:	[email-masked]
> Subject:	Re: RE: RE: IPP> Identifying jobs in requests
> 
> > 	I think we are approaching group consensus on this.  I propose that
> > we remove "printer-uri" and "job-uri" as request Operation attributes,
> but
> > leave them in their special position in the protocol.  
> > 
> > 	[Paul Moore]  What 'special position'? 
> > 
> > 
> 
> Quoting from PRO (Internet Printing Protocol/1.0: Protocol Specification):
> 
> Some attributes are encoded in a special position.  These attribute are:
> &#61623; "printer-uri": When the target is a printer and the transport is
> HTTP or HTTP (for TLS), the target printer-uri defined in  each operation
> in the IPP model document SHALL be an operation attribute called
> "printer-uri" and it SHALL also be specified outside of  the operation
> layer as the request-URI on the Request-Line at the HTTP level.  This
> &#61623; "job-uri": When the target is a job and the transport is HTTP or
> HTTPS (for TLS), the target job-uri of each operation in the IPP model
> document SHALL be an operation attribute called "job-uri" and it SHALL
> also be specified outside of  the operation layer as the request-URI on
> the Request-Line at the HTTP level. 
> &#61623; "version-number": The attribute named "version-number" in the IPP
> model document SHALL become the "version-number" field in the operation
> layer request or response. It SHALL NOT appear as an operation attribute.
> &#61623; "operation-id": The attribute named "operation-id" in the IPP
> model document SHALL become the "operation-id" field in the operation
> layer request. It SHALL NOT appear as an operation attribute.
> &#61623; "status-code": The attribute named "status-code" in the IPP model
> document SHALL become the "status-code" field in the operation layer
> response. It SHALL NOT appear as an operation attribute.
> &#61623;  "request-id": The attribute named "request-id" in the IPP model
> document SHALL become the "request-id" field in the operation layer
> request or response. It SHALL NOT appear as an operation attribute.

---

From: "Carl Kugler" <[email-masked]>
Date: 8 Jun 1998 15:50:04 -0000

> operation attributes then surely this is a contradictory statement.

No, the "special position" is "outside of  the operation layer as the request-URI on the Request-Line at the HTTP level."  Currently, PRO says the target SHALL also be an operation attribute.  

In my proposal, the target SHALL NOT appear as an operation attribute.  It is only specified as the HTTP request-URI.

> > Some attributes are encoded in a special position.  These attribute are:"printer-uri": When the target is a printer and the transport is
> > layer as the request-URI on the Request-Line at the HTTP level.  
> > &#61623; This